com.r3corda.node.services.config

## Package com.r3corda.node.services.config

### Types

ConfigHelper | `object ConfigHelper`
FullNodeConfiguration | `class FullNodeConfiguration : NodeConfiguration`
NodeConfiguration | `interface NodeConfiguration : NodeSSLConfiguration`
NodeSSLConfiguration | `interface NodeSSLConfiguration`
OptionalConfig | `class OptionalConfig<out T>` Helper class for optional configurations

### Functions

configureWithDevSSLCertificate | `fun NodeSSLConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.
getOrElse | `fun <T> <ERROR CLASS>.getOrElse(lambda: () -> T): OptionalConfig<T>`
getProperties | `fun <ERROR CLASS>.getProperties(path: String): Properties`
getValue | `operator fun <T> <ERROR CLASS>.getValue(receiver: Any, metadata: KProperty<*>): T`